/* Problem URL: https://codeforces.com/contest/976/problem/C */

#include <bits/stdc++.h>
#include <ext/pb_ds/assoc_container.hpp>
#include <ext/pb_ds/tree_policy.hpp>

using namespace std;
using namespace __gnu_pbds;

template <class T, class comp = less<>>
using ordered_set = tree<T, null_type , comp , rb_tree_tag , tree_order_statistics_node_update>;

#define V vector

#define rmin(a, b) a = min(a, b)
#define rmax(a, b) a = max(a, b)

#define rep(i, lim) for (int i = 0; i < (lim); i++)
#define nrep(i, s, lim) for (int i = s; i < (lim); i++)

#define repv(i, v) for (auto &i : (v))
#define fillv(v) for (auto &itr_ : (v)) { cin >> itr_; }
#define sortv(v) sort(v.begin(), v.end())
#define all(v) (v).begin(), (v).end()

using vi = vector<int>;
using vvi = vector<vi>;
using vvvi = vector<vvi>;
using vvvvi = vector<vvvi>;

using ll = long long;

using vl = vector<ll>;
using vvl = vector<vl>;
using vvvl = vector<vvl>;
using vvvvl = vector<vvvl>;

template<class v>
auto operator<<(ostream &os, const vector<v> &vec)->ostream& {
    os << vec[0];
    for (size_t i = 1; i < vec.size(); i++) {
        os << ' ' << vec[i];
    }
    os << '\n';
    return os;
}

template<class v>
auto operator>>(istream &is, vector<v> &vec)->istream& {
    for (auto &i : vec) {
        is >> i;
    }
    return is;
}

template<class v>
auto operator<<(ostream &os, const vector<vector<v>> &vec)->ostream& {
    for (auto &i : vec) {
        os << i[0];
        for (size_t j = 1; j < i.size(); j++) {
            os << ' ' << i[j];
        }
        os << '\n';
    }
    return os;
}

template<class v>
auto operator>>(istream  &is, vector<vector<v>> &vec)->istream& {
    for (auto &i : vec) {
        for (auto &j : i) {
            is >> j;
        }
    }
    return is;
}

int main()
{
    ios::sync_with_stdio(false);
    cin.tie(nullptr);

    int n;
    cin >> n;

    V<tuple<ll, ll, int>> fds(n);
    rep(i, n) {
        auto &[l, r, j] = fds[i];
        cin >> l >> r;
        j = i;
    }

    sort(all(fds), [&](tuple<ll, ll, int> &a, tuple<ll, ll, int> &b){
         auto [li, ri, _] = a;
         auto [lj, rj, __] = b;
         if (li == lj) {
            return ri > rj;
         }
         return li < lj;
         });

    vvi sparse(25, vi(n));
    rep(i, n) {
        sparse[0][i] = get<1>(fds[i]);
    }

    nrep(j, 1, 25) {
        for (int i = 0; i + (1 << (j - 1)) < n; i++) {
            sparse[j][i] = min(sparse[j - 1][i], sparse[j - 1][i + (1 << (j - 1))]);
        }
    }

    auto query = [&](int l, int r) {
        int log = 31 - __builtin_clz(r - l + 1);
        return min(sparse[log][l], sparse[log][r - (1 << log) + 1]);
    };

    int l = -1;
    int r = -1;

    rep(i, n - 1) {
        auto [li, ri, ii] = fds[i];
        if (query(i + 1, n - 1) <= ri) {
            nrep(j, i + 1, n) {
                auto [lj, rj, ij] = fds[j];
                if (lj >= li && rj <= ri) {
                    l = ij + 1;
                    r = ii + 1;
                    break;
                }
            }
            break;
        }
    }

    cout << l << ' ' << r << '\n';
}
